vmware虚拟机命令行正确安装vmware-tools

 很多时候我们在 虚拟机 里面需要用到挂在 共享本地文件夹 这个时候需要用到 vmware-tools 才能实现下面我们讲一下怎么在 vmware 虚拟机下使用命令行来安装 vmware-tools 工具首先挂载安装 vmware-tools cdrom选择目标虚拟机右键点击安装 vmware-tools 项挂载cdrom到mnt目录mount /dev/cdrom /mnt复制 vmware-tools 到指定目录cp mnt/VMwareTools-10.3.10-13959562.tar.gz /opt解压 vmware-tools 压缩包cd /opt tar zxvf VMwareTools-10.3.10-13959562.tar.gz安装 vmware-tools./vmware-install.pl如果无法执行则需要安装一下软件yum install perl yum install gcc yum install kernel-devel yum install kernel-devel-$(uname -r)

软件工具,Linux,解决方案 2021-09-12 PM 410次 0条

phpstorm及jetbrains永久免费激活工具插件无限试用使用(2021年之前的版本有效)

  jetbrains 家的产品用过的都知道非常好用,其中包括 phpstorm , goland , pycharm , webstorm , intellij idea 等等这些都是非常强大及好用的开发工具,但是奈何 jetbrains 系列的工具都是要收费激活的虽然淘宝上有便宜的 学生邮箱 和 破解版 但是这些非常 容易被封 ,博主已经入了两次淘宝的坑了,今天要讲的是一个 免费且永久激活无限试用 的强大第三方扩展工具 IDE Eval Reset IDE Eval Reset 无限 jetbrains 试用插件项目背景jetbrains 系列产品有一个很良心的地方,每个产品他都会允许你 试用30天 (这个数字写死在代码里了)以评估是否你真的需要为它而付费。但很多时候会出现一种情况 IDE并不能按照我们实际的试用时间来计算 。 比如我们开始了试用,然后媳妇生孩子要你回去陪产,陪产时我们并无空闲对 IDE试用评估 ,它依旧算试用时间(只是举个例子,或许你并没有女朋友),发现了吗?你未能真的有 30天 来对它进行全面的 试用评估 ,你甚至无法作出是否付费的决定。此时你会想要 延长...

软件工具,解决方案 2021-09-12 PM 2799次 0条

解决php7.4后升级安装使用ThinkPHP5.*异常

  最近 php7.4 发布了,公司的大项目之前使用 php7.0 要跟随时代的潮流升级到最新的 7.4 体验下 7.4新特性 预加载 据测试开始并使用预加载后整体性能提升机 34% 左右还是很值的升级的因为这个项目使用的 ThinkPHP5. 所以说在升级的过程中出了一些状况特此记录下,后来发现不但升级时候会出现,在 7.4 环境下安装 ThinkPHP5. 也会出现大致统计了下为一下几个问题:Array and string offset access syntax with curly braces is deprecated 首先映入眼帘的是 Array and string offset access syntax with curly braces is deprecated 异常,该异常信息一般发生在新安装或者使用中升级PHP版本问题,问题由 ThinkPHP5.* 抛出主要是因为php7.4以上版本废弃了 数组{} 语法导致的解决方案: 我们只需要 全局搜索 并替换下 数组{}写法 为 [] 即可,ThinkPHP5.* 框架相关位置主...

PHP,解决方案 2021-09-02 AM 470次 0条

PHP安装使用GRPC完整教程

 本文通过整理了博主一步一步使用php来安装grpc客户端调用第三方程序提供的grpc服务 gRPC是可以在任何环境中运行的现代开源高性能RPC框架。它可以通过可插拔的支持来有效地连接数据中心内和跨数据中心的服务,以实现负载平衡,跟踪,运行状况检查和身份验证。它也适用于分布式计算的最后一英里,以将设备,移动应用程序和浏览器连接到后端服务。安装php-grpc扩展pecl install protobuf // GPRC 使用的协议 pecl install grpc // 扩展php.ini 引入扩展extension=grpc.so extension=protobuf.so注意事项PECLPHP版本必须大于7.0可以使用一下命令查看// 查看版本 pecl version >> PEAR Version: 1.10.9 >> PHP Version: 7.1.33 >> Zend Engine Version: 3.1.0 // 如果默认pecl PHP版本小于7.0 则可以使用一下路径方式 /www/server/php/71/bin/pecl install ...

PHP 2021-09-01 AM 1345次 0条